Subject: bug#21804: 25.0.50; file-notify-tests failure on Cygwin

From: Michael Albinus <[email-masked]>
Date: Fri, 30 Dec 2016 20:16:17 +0100

Ken Brown <[email-masked]> writes:

> Hi Michael,

Hi Ken,

>> Ken Brown <[email-masked]> writes:
>> I've added the new function Fgfile_monitor_name to gfilenotify.c. It
>> tells us the name of the used monitor. In my case (GNU/Linux), it is
>> GInotifyFileMonitor. In your case it is GPollFileMonitor.
>
> Actually it turns out to be GFamFileMonitor on my system, presumably
> because I have the gamin package installed.  I'm going to see if I can
> figure out how GFamFileMonitor works.

Next time I have access to a cygwin machine I'll check. However, I
wonder whether we need to respect the polling period then. According to
<http://oss.sgi.com/projects/fam/faq.html#what_is_fam>, FAM does not poll.

> As a quick check, however, I applied the following patch...
>
> --- a/test/lisp/filenotify-tests.el
> +++ b/test/lisp/filenotify-tests.el
> @@ -73,7 +73,8 @@ file-notify--test-read-event
>      ;; gio/gpollfilemonitor.c declares POLL_TIME_SECS 5. So we must
>      ;; wait at least this time.
>      ((and (string-equal (file-notify--test-library) "gfilenotify")
> -         (string-equal (file-notify--test-monitor) "GPollFileMonitor"))
> +          (or (string-equal (file-notify--test-monitor) "GPollFileMonitor")
> +              (string-equal (file-notify--test-monitor) "GFamFileMonitor")))
>       7)
>      ((file-remote-p temporary-file-directory) 0.1)
>      (t 0.01))))
>
> ...and all the inexpensive tests passed.  I'll keep playing with this.

It's OK for me if you commit this patch. You know cygwin behaviour much
better then I do.

> Best regards,
> Ken

Best regards, Michael.